Dieser Artikel ist eine Sammlung von Beispielcode für CadQuery, ein Python-Modul.
Informationen zur Installationsmethode finden Sie unter Erstellen von 3D-Druckerdaten (STL-Datei) mit CadQuery.
--Erstellen Sie einen rechteckigen Körper von x: 2 mm, y: 2 mm, z: 0,5 mm
test.py
import cadquery as cq
result = cq.Workplane("front").box(2.0, 2.0, 0.5)
show_object(result)
--Erstellen Sie einen rechteckigen Körper von x: 2 mm, y: 2 mm, z: 0,5 mm
test.py
import cadquery as cq
result = cq.Workplane("front").box(2.0, 2.0, 0.5)
result = result.translate((2, 3, 1))
show_object(result)
--Erstellen Sie einen rechteckigen Körper von x: 80 mm, y: 60 mm, z: 10 mm
test.py
import cadquery as cq
length = 80.0
height = 60.0
thickness = 10.0
center_hole_dia = 22.0
result = (cq.Workplane("XY").box(length, height, thickness)
.faces(">Z").workplane().hole(center_hole_dia))
show_object(result)
--Erstellen Sie einen rechteckigen Körper von x: 80 mm, y: 60 mm, z: 10 mm
test.py
import cadquery as cq
length = 80.0
height = 60.0
thickness = 10.0
result = (cq.Workplane(cq.Plane.XY()).box(length, height, thickness))
result = result.faces(">Z").workplane().rect(70.0, 50.0, forConstruction=True).vertices().cboreHole(3.0, 4.0, 2.0, depth=None)
show_object(result)
--Erstellen Sie zwei Quadrate (r1, r2) x: 2 mm, y: 2 mm, z: 0,5 mm
test.py
import cadquery as cq
r1 = cq.Workplane("front").box(2.0, 2.0, 0.5)
r1 = r1.translate((1, 1, 0))
r2 = cq.Workplane("front").box(2.0, 2.0, 0.5)
r2 = r2.translate((0, 0, 0))
r1 = r1.union(r2)
show_object(r1)
--Erstellen Sie zwei Quadrate (r1, r2) x: 2 mm, y: 2 mm, z: 0,5 mm
test.py
import cadquery as cq
r1 = cq.Workplane("front").box(2.0, 2.0, 0.5)
r1 = r1.translate((1, 1, 0))
r2 = cq.Workplane("front").box(2.0, 2.0, 0.5)
r2 = r2.translate((0, 0, 0))
r1 = r1.cut(r2)
show_object(r1)
--Erstellen Sie einen Zylinder mit einem Durchmesser von 2 mm und einer Höhe von 3 mm
test.py
import cadquery as cq
result = cq.Workplane("front").circle(2).extrude(3)
show_object(result)
Recommended Posts